## [0.1.5] - Formatting and maintenance
Cleaned up and structured the code, added documentation.

## [0.1.4] - Model specific elements
It is now possible to define specific elements you want to use for certain fields.
This gives you more control over how you from looks when generated with [ModelForm] but it does not require you to define and describe the whole model since the fallback can be covered by standard adapters you provide the [ModelForm] with.

## [0.1.3] - Auto layouts
Added the `AutoLayout` class. This allows you to create a automatic layout for forms, eliminating the need to add custom build methods.

## [0.1.2] - Model form, material model form and layouts
In this update i added the ModelFrom class. This class allows you to create a form based on a given model and when saved the form returns the result in the form of the given model.
An specific extension on the ModelForm was made. The MaterialModelForm. The MaterialModelForm simply provides the model form with base adapters for the material theme. This allows the user to use the ModelForm without the need to write custom adapters.
The material model form is still WIP.

To make auto layouts or predefined layouts easier to use all the forms now have a static withLayout method.
This method allows the user to create a new instance and pass a ILayout instance instead of a build method.
This would allow for layout classes like an AutoLayout class

## [0.1.1] - Formatting of ElementForm
Done some formatting to keep the code style consistent

## [0.1.0] - Initial base structure

Introducted the `ElementForm`. This is going to be the base for the system. Removed the inital idea of the JsonForm as being the base. This would limit the use of the library to JSON. With the `ElementForm` the use of JSON is also possible since with basic factories you can convert JSON to the most basic structure namely: `FormElement`.

* Removed initial structure and introducted the ElementForm
