import 'package:forma/element_form.dart';
import 'package:forma/material.dart';
import 'package:forma/model_form.dart';

class StringElementAdapter extends IElementAdapter<dynamic, FormElement> {
  @override
  bool isMatch(value) {
    if (value.runtimeType == String) {
      return true;
    }

    return false;
  }

  @override
  FormElement adapt(from) {
    return MaterialTextFormElement(initialValue: from);
  }
}
