import 'package:flutter/widgets.dart';
import 'package:forma/element_form.dart';
import 'i_layout.dart';

class AutoLayout implements ILayout {
  @override
  Widget layout(BuildContext context, widgets) {
    List<Widget> widgetList = List<Widget>();

    TreeMapper mapper = TreeMapper((dynamic node) {
      if (node is Widget) {
        widgetList.add(node);
      }

      return node;
    });

    mapper.map(widgets);

    return Column(
      children: widgetList,
    );
  }
}
